IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network7.64.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
- Network address
7.64.0.0- Broadcast address
7.71.255.255- First usable
7.64.0.1- Last usable
7.71.255.254- Usable hosts
- 524,286 (524,288 less the network and broadcast addresses)
- Subnet mask
255.248.0.0- Wildcard mask
0.7.255.255(Cisco ACLs, OSPF)- Prefix length
- /13
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
07400000· Integer121634816to122159103 - Reverse DNS zones
64.7.in-addr.arpa65.7.in-addr.arpa66.7.in-addr.arpa67.7.in-addr.arpa68.7.in-addr.arpa69.7.in-addr.arpa70.7.in-addr.arpa71.7.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00000111.01000000.00000000.00000000 | 7.64.0.0 |
| Subnet mask | 11111111.11111000.00000000.00000000 | 255.248.0.0 |
| Network | 00000111.01000000.00000000.00000000 | 7.64.0.0 |
| Broadcast | 00000111.01000111.11111111.11111111 | 7.71.255.255 |
Split into smaller subnets
/14 (2)/15 (4)/16 (8)/17 (16)/18 (32)/19 (64)/20 (128)/21 (256)/22 (512)/23 (1,024)/24 (2,048)/25 (4,096)
7.64.0.0/13 makes 512 subnets of /22; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 7.64.0.0/22 | 7.64.0.1 to 7.64.3.254 | 7.64.3.255 | 1,022 |
| 2 | 7.64.4.0/22 | 7.64.4.1 to 7.64.7.254 | 7.64.7.255 | 1,022 |
| 3 | 7.64.8.0/22 | 7.64.8.1 to 7.64.11.254 | 7.64.11.255 | 1,022 |
| 4 | 7.64.12.0/22 | 7.64.12.1 to 7.64.15.254 | 7.64.15.255 | 1,022 |
| 5 | 7.64.16.0/22 | 7.64.16.1 to 7.64.19.254 | 7.64.19.255 | 1,022 |
| 6 | 7.64.20.0/22 | 7.64.20.1 to 7.64.23.254 | 7.64.23.255 | 1,022 |
| 7 | 7.64.24.0/22 | 7.64.24.1 to 7.64.27.254 | 7.64.27.255 | 1,022 |
| 8 | 7.64.28.0/22 | 7.64.28.1 to 7.64.31.254 | 7.64.31.255 | 1,022 |
| 9 | 7.64.32.0/22 | 7.64.32.1 to 7.64.35.254 | 7.64.35.255 | 1,022 |
| 10 | 7.64.36.0/22 | 7.64.36.1 to 7.64.39.254 | 7.64.39.255 | 1,022 |
| 11 | 7.64.40.0/22 | 7.64.40.1 to 7.64.43.254 | 7.64.43.255 | 1,022 |
| 12 | 7.64.44.0/22 | 7.64.44.1 to 7.64.47.254 | 7.64.47.255 | 1,022 |
| 13 | 7.64.48.0/22 | 7.64.48.1 to 7.64.51.254 | 7.64.51.255 | 1,022 |
| 14 | 7.64.52.0/22 | 7.64.52.1 to 7.64.55.254 | 7.64.55.255 | 1,022 |
| 15 | 7.64.56.0/22 | 7.64.56.1 to 7.64.59.254 | 7.64.59.255 | 1,022 |
| 16 | 7.64.60.0/22 | 7.64.60.1 to 7.64.63.254 | 7.64.63.255 | 1,022 |
| 17 | 7.64.64.0/22 | 7.64.64.1 to 7.64.67.254 | 7.64.67.255 | 1,022 |
| 18 | 7.64.68.0/22 | 7.64.68.1 to 7.64.71.254 | 7.64.71.255 | 1,022 |
| 19 | 7.64.72.0/22 | 7.64.72.1 to 7.64.75.254 | 7.64.75.255 | 1,022 |
| 20 | 7.64.76.0/22 | 7.64.76.1 to 7.64.79.254 | 7.64.79.255 | 1,022 |
| 21 | 7.64.80.0/22 | 7.64.80.1 to 7.64.83.254 | 7.64.83.255 | 1,022 |
| 22 | 7.64.84.0/22 | 7.64.84.1 to 7.64.87.254 | 7.64.87.255 | 1,022 |
| 23 | 7.64.88.0/22 | 7.64.88.1 to 7.64.91.254 | 7.64.91.255 | 1,022 |
| 24 | 7.64.92.0/22 | 7.64.92.1 to 7.64.95.254 | 7.64.95.255 | 1,022 |
| 25 | 7.64.96.0/22 | 7.64.96.1 to 7.64.99.254 | 7.64.99.255 | 1,022 |
| 26 | 7.64.100.0/22 | 7.64.100.1 to 7.64.103.254 | 7.64.103.255 | 1,022 |
| 27 | 7.64.104.0/22 | 7.64.104.1 to 7.64.107.254 | 7.64.107.255 | 1,022 |
| 28 | 7.64.108.0/22 | 7.64.108.1 to 7.64.111.254 | 7.64.111.255 | 1,022 |
| 29 | 7.64.112.0/22 | 7.64.112.1 to 7.64.115.254 | 7.64.115.255 | 1,022 |
| 30 | 7.64.116.0/22 | 7.64.116.1 to 7.64.119.254 | 7.64.119.255 | 1,022 |
| 31 | 7.64.120.0/22 | 7.64.120.1 to 7.64.123.254 | 7.64.123.255 | 1,022 |
| 32 | 7.64.124.0/22 | 7.64.124.1 to 7.64.127.254 | 7.64.127.255 | 1,022 |
| 33 | 7.64.128.0/22 | 7.64.128.1 to 7.64.131.254 | 7.64.131.255 | 1,022 |
| 34 | 7.64.132.0/22 | 7.64.132.1 to 7.64.135.254 | 7.64.135.255 | 1,022 |
| 35 | 7.64.136.0/22 | 7.64.136.1 to 7.64.139.254 | 7.64.139.255 | 1,022 |
| 36 | 7.64.140.0/22 | 7.64.140.1 to 7.64.143.254 | 7.64.143.255 | 1,022 |
| 37 | 7.64.144.0/22 | 7.64.144.1 to 7.64.147.254 | 7.64.147.255 | 1,022 |
| 38 | 7.64.148.0/22 | 7.64.148.1 to 7.64.151.254 | 7.64.151.255 | 1,022 |
| 39 | 7.64.152.0/22 | 7.64.152.1 to 7.64.155.254 | 7.64.155.255 | 1,022 |
| 40 | 7.64.156.0/22 | 7.64.156.1 to 7.64.159.254 | 7.64.159.255 | 1,022 |
| 41 | 7.64.160.0/22 | 7.64.160.1 to 7.64.163.254 | 7.64.163.255 | 1,022 |
| 42 | 7.64.164.0/22 | 7.64.164.1 to 7.64.167.254 | 7.64.167.255 | 1,022 |
| 43 | 7.64.168.0/22 | 7.64.168.1 to 7.64.171.254 | 7.64.171.255 | 1,022 |
| 44 | 7.64.172.0/22 | 7.64.172.1 to 7.64.175.254 | 7.64.175.255 | 1,022 |
| 45 | 7.64.176.0/22 | 7.64.176.1 to 7.64.179.254 | 7.64.179.255 | 1,022 |
| 46 | 7.64.180.0/22 | 7.64.180.1 to 7.64.183.254 | 7.64.183.255 | 1,022 |
| 47 | 7.64.184.0/22 | 7.64.184.1 to 7.64.187.254 | 7.64.187.255 | 1,022 |
| 48 | 7.64.188.0/22 | 7.64.188.1 to 7.64.191.254 | 7.64.191.255 | 1,022 |
| 49 | 7.64.192.0/22 | 7.64.192.1 to 7.64.195.254 | 7.64.195.255 | 1,022 |
| 50 | 7.64.196.0/22 | 7.64.196.1 to 7.64.199.254 | 7.64.199.255 | 1,022 |
| 51 | 7.64.200.0/22 | 7.64.200.1 to 7.64.203.254 | 7.64.203.255 | 1,022 |
| 52 | 7.64.204.0/22 | 7.64.204.1 to 7.64.207.254 | 7.64.207.255 | 1,022 |
| 53 | 7.64.208.0/22 | 7.64.208.1 to 7.64.211.254 | 7.64.211.255 | 1,022 |
| 54 | 7.64.212.0/22 | 7.64.212.1 to 7.64.215.254 | 7.64.215.255 | 1,022 |
| 55 | 7.64.216.0/22 | 7.64.216.1 to 7.64.219.254 | 7.64.219.255 | 1,022 |
| 56 | 7.64.220.0/22 | 7.64.220.1 to 7.64.223.254 | 7.64.223.255 | 1,022 |
| 57 | 7.64.224.0/22 | 7.64.224.1 to 7.64.227.254 | 7.64.227.255 | 1,022 |
| 58 | 7.64.228.0/22 | 7.64.228.1 to 7.64.231.254 | 7.64.231.255 | 1,022 |
| 59 | 7.64.232.0/22 | 7.64.232.1 to 7.64.235.254 | 7.64.235.255 | 1,022 |
| 60 | 7.64.236.0/22 | 7.64.236.1 to 7.64.239.254 | 7.64.239.255 | 1,022 |
| 61 | 7.64.240.0/22 | 7.64.240.1 to 7.64.243.254 | 7.64.243.255 | 1,022 |
| 62 | 7.64.244.0/22 | 7.64.244.1 to 7.64.247.254 | 7.64.247.255 | 1,022 |
| 63 | 7.64.248.0/22 | 7.64.248.1 to 7.64.251.254 | 7.64.251.255 | 1,022 |
| 64 | 7.64.252.0/22 | 7.64.252.1 to 7.64.255.254 | 7.64.255.255 | 1,022 |
| 65 | 7.65.0.0/22 | 7.65.0.1 to 7.65.3.254 | 7.65.3.255 | 1,022 |
| 66 | 7.65.4.0/22 | 7.65.4.1 to 7.65.7.254 | 7.65.7.255 | 1,022 |
| 67 | 7.65.8.0/22 | 7.65.8.1 to 7.65.11.254 | 7.65.11.255 | 1,022 |
| 68 | 7.65.12.0/22 | 7.65.12.1 to 7.65.15.254 | 7.65.15.255 | 1,022 |
| 69 | 7.65.16.0/22 | 7.65.16.1 to 7.65.19.254 | 7.65.19.255 | 1,022 |
| 70 | 7.65.20.0/22 | 7.65.20.1 to 7.65.23.254 | 7.65.23.255 | 1,022 |
| 71 | 7.65.24.0/22 | 7.65.24.1 to 7.65.27.254 | 7.65.27.255 | 1,022 |
| 72 | 7.65.28.0/22 | 7.65.28.1 to 7.65.31.254 | 7.65.31.255 | 1,022 |
| 73 | 7.65.32.0/22 | 7.65.32.1 to 7.65.35.254 | 7.65.35.255 | 1,022 |
| 74 | 7.65.36.0/22 | 7.65.36.1 to 7.65.39.254 | 7.65.39.255 | 1,022 |
| 75 | 7.65.40.0/22 | 7.65.40.1 to 7.65.43.254 | 7.65.43.255 | 1,022 |
| 76 | 7.65.44.0/22 | 7.65.44.1 to 7.65.47.254 | 7.65.47.255 | 1,022 |
| 77 | 7.65.48.0/22 | 7.65.48.1 to 7.65.51.254 | 7.65.51.255 | 1,022 |
| 78 | 7.65.52.0/22 | 7.65.52.1 to 7.65.55.254 | 7.65.55.255 | 1,022 |
| 79 | 7.65.56.0/22 | 7.65.56.1 to 7.65.59.254 | 7.65.59.255 | 1,022 |
| 80 | 7.65.60.0/22 | 7.65.60.1 to 7.65.63.254 | 7.65.63.255 | 1,022 |
| 81 | 7.65.64.0/22 | 7.65.64.1 to 7.65.67.254 | 7.65.67.255 | 1,022 |
| 82 | 7.65.68.0/22 | 7.65.68.1 to 7.65.71.254 | 7.65.71.255 | 1,022 |
| 83 | 7.65.72.0/22 | 7.65.72.1 to 7.65.75.254 | 7.65.75.255 | 1,022 |
| 84 | 7.65.76.0/22 | 7.65.76.1 to 7.65.79.254 | 7.65.79.255 | 1,022 |
| 85 | 7.65.80.0/22 | 7.65.80.1 to 7.65.83.254 | 7.65.83.255 | 1,022 |
| 86 | 7.65.84.0/22 | 7.65.84.1 to 7.65.87.254 | 7.65.87.255 | 1,022 |
| 87 | 7.65.88.0/22 | 7.65.88.1 to 7.65.91.254 | 7.65.91.255 | 1,022 |
| 88 | 7.65.92.0/22 | 7.65.92.1 to 7.65.95.254 | 7.65.95.255 | 1,022 |
| 89 | 7.65.96.0/22 | 7.65.96.1 to 7.65.99.254 | 7.65.99.255 | 1,022 |
| 90 | 7.65.100.0/22 | 7.65.100.1 to 7.65.103.254 | 7.65.103.255 | 1,022 |
| 91 | 7.65.104.0/22 | 7.65.104.1 to 7.65.107.254 | 7.65.107.255 | 1,022 |
| 92 | 7.65.108.0/22 | 7.65.108.1 to 7.65.111.254 | 7.65.111.255 | 1,022 |
| 93 | 7.65.112.0/22 | 7.65.112.1 to 7.65.115.254 | 7.65.115.255 | 1,022 |
| 94 | 7.65.116.0/22 | 7.65.116.1 to 7.65.119.254 | 7.65.119.255 | 1,022 |
| 95 | 7.65.120.0/22 | 7.65.120.1 to 7.65.123.254 | 7.65.123.255 | 1,022 |
| 96 | 7.65.124.0/22 | 7.65.124.1 to 7.65.127.254 | 7.65.127.255 | 1,022 |
| 97 | 7.65.128.0/22 | 7.65.128.1 to 7.65.131.254 | 7.65.131.255 | 1,022 |
| 98 | 7.65.132.0/22 | 7.65.132.1 to 7.65.135.254 | 7.65.135.255 | 1,022 |
| 99 | 7.65.136.0/22 | 7.65.136.1 to 7.65.139.254 | 7.65.139.255 | 1,022 |
| 100 | 7.65.140.0/22 | 7.65.140.1 to 7.65.143.254 | 7.65.143.255 | 1,022 |
| 101 | 7.65.144.0/22 | 7.65.144.1 to 7.65.147.254 | 7.65.147.255 | 1,022 |
| 102 | 7.65.148.0/22 | 7.65.148.1 to 7.65.151.254 | 7.65.151.255 | 1,022 |
| 103 | 7.65.152.0/22 | 7.65.152.1 to 7.65.155.254 | 7.65.155.255 | 1,022 |
| 104 | 7.65.156.0/22 | 7.65.156.1 to 7.65.159.254 | 7.65.159.255 | 1,022 |
| 105 | 7.65.160.0/22 | 7.65.160.1 to 7.65.163.254 | 7.65.163.255 | 1,022 |
| 106 | 7.65.164.0/22 | 7.65.164.1 to 7.65.167.254 | 7.65.167.255 | 1,022 |
| 107 | 7.65.168.0/22 | 7.65.168.1 to 7.65.171.254 | 7.65.171.255 | 1,022 |
| 108 | 7.65.172.0/22 | 7.65.172.1 to 7.65.175.254 | 7.65.175.255 | 1,022 |
| 109 | 7.65.176.0/22 | 7.65.176.1 to 7.65.179.254 | 7.65.179.255 | 1,022 |
| 110 | 7.65.180.0/22 | 7.65.180.1 to 7.65.183.254 | 7.65.183.255 | 1,022 |
| 111 | 7.65.184.0/22 | 7.65.184.1 to 7.65.187.254 | 7.65.187.255 | 1,022 |
| 112 | 7.65.188.0/22 | 7.65.188.1 to 7.65.191.254 | 7.65.191.255 | 1,022 |
| 113 | 7.65.192.0/22 | 7.65.192.1 to 7.65.195.254 | 7.65.195.255 | 1,022 |
| 114 | 7.65.196.0/22 | 7.65.196.1 to 7.65.199.254 | 7.65.199.255 | 1,022 |
| 115 | 7.65.200.0/22 | 7.65.200.1 to 7.65.203.254 | 7.65.203.255 | 1,022 |
| 116 | 7.65.204.0/22 | 7.65.204.1 to 7.65.207.254 | 7.65.207.255 | 1,022 |
| 117 | 7.65.208.0/22 | 7.65.208.1 to 7.65.211.254 | 7.65.211.255 | 1,022 |
| 118 | 7.65.212.0/22 | 7.65.212.1 to 7.65.215.254 | 7.65.215.255 | 1,022 |
| 119 | 7.65.216.0/22 | 7.65.216.1 to 7.65.219.254 | 7.65.219.255 | 1,022 |
| 120 | 7.65.220.0/22 | 7.65.220.1 to 7.65.223.254 | 7.65.223.255 | 1,022 |
| 121 | 7.65.224.0/22 | 7.65.224.1 to 7.65.227.254 | 7.65.227.255 | 1,022 |
| 122 | 7.65.228.0/22 | 7.65.228.1 to 7.65.231.254 | 7.65.231.255 | 1,022 |
| 123 | 7.65.232.0/22 | 7.65.232.1 to 7.65.235.254 | 7.65.235.255 | 1,022 |
| 124 | 7.65.236.0/22 | 7.65.236.1 to 7.65.239.254 | 7.65.239.255 | 1,022 |
| 125 | 7.65.240.0/22 | 7.65.240.1 to 7.65.243.254 | 7.65.243.255 | 1,022 |
| 126 | 7.65.244.0/22 | 7.65.244.1 to 7.65.247.254 | 7.65.247.255 | 1,022 |
| 127 | 7.65.248.0/22 | 7.65.248.1 to 7.65.251.254 | 7.65.251.255 | 1,022 |
| 128 | 7.65.252.0/22 | 7.65.252.1 to 7.65.255.254 | 7.65.255.255 | 1,022 |
| 129 | 7.66.0.0/22 | 7.66.0.1 to 7.66.3.254 | 7.66.3.255 | 1,022 |
| 130 | 7.66.4.0/22 | 7.66.4.1 to 7.66.7.254 | 7.66.7.255 | 1,022 |
| 131 | 7.66.8.0/22 | 7.66.8.1 to 7.66.11.254 | 7.66.11.255 | 1,022 |
| 132 | 7.66.12.0/22 | 7.66.12.1 to 7.66.15.254 | 7.66.15.255 | 1,022 |
| 133 | 7.66.16.0/22 | 7.66.16.1 to 7.66.19.254 | 7.66.19.255 | 1,022 |
| 134 | 7.66.20.0/22 | 7.66.20.1 to 7.66.23.254 | 7.66.23.255 | 1,022 |
| 135 | 7.66.24.0/22 | 7.66.24.1 to 7.66.27.254 | 7.66.27.255 | 1,022 |
| 136 | 7.66.28.0/22 | 7.66.28.1 to 7.66.31.254 | 7.66.31.255 | 1,022 |
| 137 | 7.66.32.0/22 | 7.66.32.1 to 7.66.35.254 | 7.66.35.255 | 1,022 |
| 138 | 7.66.36.0/22 | 7.66.36.1 to 7.66.39.254 | 7.66.39.255 | 1,022 |
| 139 | 7.66.40.0/22 | 7.66.40.1 to 7.66.43.254 | 7.66.43.255 | 1,022 |
| 140 | 7.66.44.0/22 | 7.66.44.1 to 7.66.47.254 | 7.66.47.255 | 1,022 |
| 141 | 7.66.48.0/22 | 7.66.48.1 to 7.66.51.254 | 7.66.51.255 | 1,022 |
| 142 | 7.66.52.0/22 | 7.66.52.1 to 7.66.55.254 | 7.66.55.255 | 1,022 |
| 143 | 7.66.56.0/22 | 7.66.56.1 to 7.66.59.254 | 7.66.59.255 | 1,022 |
| 144 | 7.66.60.0/22 | 7.66.60.1 to 7.66.63.254 | 7.66.63.255 | 1,022 |
| 145 | 7.66.64.0/22 | 7.66.64.1 to 7.66.67.254 | 7.66.67.255 | 1,022 |
| 146 | 7.66.68.0/22 | 7.66.68.1 to 7.66.71.254 | 7.66.71.255 | 1,022 |
| 147 | 7.66.72.0/22 | 7.66.72.1 to 7.66.75.254 | 7.66.75.255 | 1,022 |
| 148 | 7.66.76.0/22 | 7.66.76.1 to 7.66.79.254 | 7.66.79.255 | 1,022 |
| 149 | 7.66.80.0/22 | 7.66.80.1 to 7.66.83.254 | 7.66.83.255 | 1,022 |
| 150 | 7.66.84.0/22 | 7.66.84.1 to 7.66.87.254 | 7.66.87.255 | 1,022 |
| 151 | 7.66.88.0/22 | 7.66.88.1 to 7.66.91.254 | 7.66.91.255 | 1,022 |
| 152 | 7.66.92.0/22 | 7.66.92.1 to 7.66.95.254 | 7.66.95.255 | 1,022 |
| 153 | 7.66.96.0/22 | 7.66.96.1 to 7.66.99.254 | 7.66.99.255 | 1,022 |
| 154 | 7.66.100.0/22 | 7.66.100.1 to 7.66.103.254 | 7.66.103.255 | 1,022 |
| 155 | 7.66.104.0/22 | 7.66.104.1 to 7.66.107.254 | 7.66.107.255 | 1,022 |
| 156 | 7.66.108.0/22 | 7.66.108.1 to 7.66.111.254 | 7.66.111.255 | 1,022 |
| 157 | 7.66.112.0/22 | 7.66.112.1 to 7.66.115.254 | 7.66.115.255 | 1,022 |
| 158 | 7.66.116.0/22 | 7.66.116.1 to 7.66.119.254 | 7.66.119.255 | 1,022 |
| 159 | 7.66.120.0/22 | 7.66.120.1 to 7.66.123.254 | 7.66.123.255 | 1,022 |
| 160 | 7.66.124.0/22 | 7.66.124.1 to 7.66.127.254 | 7.66.127.255 | 1,022 |
| 161 | 7.66.128.0/22 | 7.66.128.1 to 7.66.131.254 | 7.66.131.255 | 1,022 |
| 162 | 7.66.132.0/22 | 7.66.132.1 to 7.66.135.254 | 7.66.135.255 | 1,022 |
| 163 | 7.66.136.0/22 | 7.66.136.1 to 7.66.139.254 | 7.66.139.255 | 1,022 |
| 164 | 7.66.140.0/22 | 7.66.140.1 to 7.66.143.254 | 7.66.143.255 | 1,022 |
| 165 | 7.66.144.0/22 | 7.66.144.1 to 7.66.147.254 | 7.66.147.255 | 1,022 |
| 166 | 7.66.148.0/22 | 7.66.148.1 to 7.66.151.254 | 7.66.151.255 | 1,022 |
| 167 | 7.66.152.0/22 | 7.66.152.1 to 7.66.155.254 | 7.66.155.255 | 1,022 |
| 168 | 7.66.156.0/22 | 7.66.156.1 to 7.66.159.254 | 7.66.159.255 | 1,022 |
| 169 | 7.66.160.0/22 | 7.66.160.1 to 7.66.163.254 | 7.66.163.255 | 1,022 |
| 170 | 7.66.164.0/22 | 7.66.164.1 to 7.66.167.254 | 7.66.167.255 | 1,022 |
| 171 | 7.66.168.0/22 | 7.66.168.1 to 7.66.171.254 | 7.66.171.255 | 1,022 |
| 172 | 7.66.172.0/22 | 7.66.172.1 to 7.66.175.254 | 7.66.175.255 | 1,022 |
| 173 | 7.66.176.0/22 | 7.66.176.1 to 7.66.179.254 | 7.66.179.255 | 1,022 |
| 174 | 7.66.180.0/22 | 7.66.180.1 to 7.66.183.254 | 7.66.183.255 | 1,022 |
| 175 | 7.66.184.0/22 | 7.66.184.1 to 7.66.187.254 | 7.66.187.255 | 1,022 |
| 176 | 7.66.188.0/22 | 7.66.188.1 to 7.66.191.254 | 7.66.191.255 | 1,022 |
| 177 | 7.66.192.0/22 | 7.66.192.1 to 7.66.195.254 | 7.66.195.255 | 1,022 |
| 178 | 7.66.196.0/22 | 7.66.196.1 to 7.66.199.254 | 7.66.199.255 | 1,022 |
| 179 | 7.66.200.0/22 | 7.66.200.1 to 7.66.203.254 | 7.66.203.255 | 1,022 |
| 180 | 7.66.204.0/22 | 7.66.204.1 to 7.66.207.254 | 7.66.207.255 | 1,022 |
| 181 | 7.66.208.0/22 | 7.66.208.1 to 7.66.211.254 | 7.66.211.255 | 1,022 |
| 182 | 7.66.212.0/22 | 7.66.212.1 to 7.66.215.254 | 7.66.215.255 | 1,022 |
| 183 | 7.66.216.0/22 | 7.66.216.1 to 7.66.219.254 | 7.66.219.255 | 1,022 |
| 184 | 7.66.220.0/22 | 7.66.220.1 to 7.66.223.254 | 7.66.223.255 | 1,022 |
| 185 | 7.66.224.0/22 | 7.66.224.1 to 7.66.227.254 | 7.66.227.255 | 1,022 |
| 186 | 7.66.228.0/22 | 7.66.228.1 to 7.66.231.254 | 7.66.231.255 | 1,022 |
| 187 | 7.66.232.0/22 | 7.66.232.1 to 7.66.235.254 | 7.66.235.255 | 1,022 |
| 188 | 7.66.236.0/22 | 7.66.236.1 to 7.66.239.254 | 7.66.239.255 | 1,022 |
| 189 | 7.66.240.0/22 | 7.66.240.1 to 7.66.243.254 | 7.66.243.255 | 1,022 |
| 190 | 7.66.244.0/22 | 7.66.244.1 to 7.66.247.254 | 7.66.247.255 | 1,022 |
| 191 | 7.66.248.0/22 | 7.66.248.1 to 7.66.251.254 | 7.66.251.255 | 1,022 |
| 192 | 7.66.252.0/22 | 7.66.252.1 to 7.66.255.254 | 7.66.255.255 | 1,022 |
| 193 | 7.67.0.0/22 | 7.67.0.1 to 7.67.3.254 | 7.67.3.255 | 1,022 |
| 194 | 7.67.4.0/22 | 7.67.4.1 to 7.67.7.254 | 7.67.7.255 | 1,022 |
| 195 | 7.67.8.0/22 | 7.67.8.1 to 7.67.11.254 | 7.67.11.255 | 1,022 |
| 196 | 7.67.12.0/22 | 7.67.12.1 to 7.67.15.254 | 7.67.15.255 | 1,022 |
| 197 | 7.67.16.0/22 | 7.67.16.1 to 7.67.19.254 | 7.67.19.255 | 1,022 |
| 198 | 7.67.20.0/22 | 7.67.20.1 to 7.67.23.254 | 7.67.23.255 | 1,022 |
| 199 | 7.67.24.0/22 | 7.67.24.1 to 7.67.27.254 | 7.67.27.255 | 1,022 |
| 200 | 7.67.28.0/22 | 7.67.28.1 to 7.67.31.254 | 7.67.31.255 | 1,022 |
| 201 | 7.67.32.0/22 | 7.67.32.1 to 7.67.35.254 | 7.67.35.255 | 1,022 |
| 202 | 7.67.36.0/22 | 7.67.36.1 to 7.67.39.254 | 7.67.39.255 | 1,022 |
| 203 | 7.67.40.0/22 | 7.67.40.1 to 7.67.43.254 | 7.67.43.255 | 1,022 |
| 204 | 7.67.44.0/22 | 7.67.44.1 to 7.67.47.254 | 7.67.47.255 | 1,022 |
| 205 | 7.67.48.0/22 | 7.67.48.1 to 7.67.51.254 | 7.67.51.255 | 1,022 |
| 206 | 7.67.52.0/22 | 7.67.52.1 to 7.67.55.254 | 7.67.55.255 | 1,022 |
| 207 | 7.67.56.0/22 | 7.67.56.1 to 7.67.59.254 | 7.67.59.255 | 1,022 |
| 208 | 7.67.60.0/22 | 7.67.60.1 to 7.67.63.254 | 7.67.63.255 | 1,022 |
| 209 | 7.67.64.0/22 | 7.67.64.1 to 7.67.67.254 | 7.67.67.255 | 1,022 |
| 210 | 7.67.68.0/22 | 7.67.68.1 to 7.67.71.254 | 7.67.71.255 | 1,022 |
| 211 | 7.67.72.0/22 | 7.67.72.1 to 7.67.75.254 | 7.67.75.255 | 1,022 |
| 212 | 7.67.76.0/22 | 7.67.76.1 to 7.67.79.254 | 7.67.79.255 | 1,022 |
| 213 | 7.67.80.0/22 | 7.67.80.1 to 7.67.83.254 | 7.67.83.255 | 1,022 |
| 214 | 7.67.84.0/22 | 7.67.84.1 to 7.67.87.254 | 7.67.87.255 | 1,022 |
| 215 | 7.67.88.0/22 | 7.67.88.1 to 7.67.91.254 | 7.67.91.255 | 1,022 |
| 216 | 7.67.92.0/22 | 7.67.92.1 to 7.67.95.254 | 7.67.95.255 | 1,022 |
| 217 | 7.67.96.0/22 | 7.67.96.1 to 7.67.99.254 | 7.67.99.255 | 1,022 |
| 218 | 7.67.100.0/22 | 7.67.100.1 to 7.67.103.254 | 7.67.103.255 | 1,022 |
| 219 | 7.67.104.0/22 | 7.67.104.1 to 7.67.107.254 | 7.67.107.255 | 1,022 |
| 220 | 7.67.108.0/22 | 7.67.108.1 to 7.67.111.254 | 7.67.111.255 | 1,022 |
| 221 | 7.67.112.0/22 | 7.67.112.1 to 7.67.115.254 | 7.67.115.255 | 1,022 |
| 222 | 7.67.116.0/22 | 7.67.116.1 to 7.67.119.254 | 7.67.119.255 | 1,022 |
| 223 | 7.67.120.0/22 | 7.67.120.1 to 7.67.123.254 | 7.67.123.255 | 1,022 |
| 224 | 7.67.124.0/22 | 7.67.124.1 to 7.67.127.254 | 7.67.127.255 | 1,022 |
| 225 | 7.67.128.0/22 | 7.67.128.1 to 7.67.131.254 | 7.67.131.255 | 1,022 |
| 226 | 7.67.132.0/22 | 7.67.132.1 to 7.67.135.254 | 7.67.135.255 | 1,022 |
| 227 | 7.67.136.0/22 | 7.67.136.1 to 7.67.139.254 | 7.67.139.255 | 1,022 |
| 228 | 7.67.140.0/22 | 7.67.140.1 to 7.67.143.254 | 7.67.143.255 | 1,022 |
| 229 | 7.67.144.0/22 | 7.67.144.1 to 7.67.147.254 | 7.67.147.255 | 1,022 |
| 230 | 7.67.148.0/22 | 7.67.148.1 to 7.67.151.254 | 7.67.151.255 | 1,022 |
| 231 | 7.67.152.0/22 | 7.67.152.1 to 7.67.155.254 | 7.67.155.255 | 1,022 |
| 232 | 7.67.156.0/22 | 7.67.156.1 to 7.67.159.254 | 7.67.159.255 | 1,022 |
| 233 | 7.67.160.0/22 | 7.67.160.1 to 7.67.163.254 | 7.67.163.255 | 1,022 |
| 234 | 7.67.164.0/22 | 7.67.164.1 to 7.67.167.254 | 7.67.167.255 | 1,022 |
| 235 | 7.67.168.0/22 | 7.67.168.1 to 7.67.171.254 | 7.67.171.255 | 1,022 |
| 236 | 7.67.172.0/22 | 7.67.172.1 to 7.67.175.254 | 7.67.175.255 | 1,022 |
| 237 | 7.67.176.0/22 | 7.67.176.1 to 7.67.179.254 | 7.67.179.255 | 1,022 |
| 238 | 7.67.180.0/22 | 7.67.180.1 to 7.67.183.254 | 7.67.183.255 | 1,022 |
| 239 | 7.67.184.0/22 | 7.67.184.1 to 7.67.187.254 | 7.67.187.255 | 1,022 |
| 240 | 7.67.188.0/22 | 7.67.188.1 to 7.67.191.254 | 7.67.191.255 | 1,022 |
| 241 | 7.67.192.0/22 | 7.67.192.1 to 7.67.195.254 | 7.67.195.255 | 1,022 |
| 242 | 7.67.196.0/22 | 7.67.196.1 to 7.67.199.254 | 7.67.199.255 | 1,022 |
| 243 | 7.67.200.0/22 | 7.67.200.1 to 7.67.203.254 | 7.67.203.255 | 1,022 |
| 244 | 7.67.204.0/22 | 7.67.204.1 to 7.67.207.254 | 7.67.207.255 | 1,022 |
| 245 | 7.67.208.0/22 | 7.67.208.1 to 7.67.211.254 | 7.67.211.255 | 1,022 |
| 246 | 7.67.212.0/22 | 7.67.212.1 to 7.67.215.254 | 7.67.215.255 | 1,022 |
| 247 | 7.67.216.0/22 | 7.67.216.1 to 7.67.219.254 | 7.67.219.255 | 1,022 |
| 248 | 7.67.220.0/22 | 7.67.220.1 to 7.67.223.254 | 7.67.223.255 | 1,022 |
| 249 | 7.67.224.0/22 | 7.67.224.1 to 7.67.227.254 | 7.67.227.255 | 1,022 |
| 250 | 7.67.228.0/22 | 7.67.228.1 to 7.67.231.254 | 7.67.231.255 | 1,022 |
| 251 | 7.67.232.0/22 | 7.67.232.1 to 7.67.235.254 | 7.67.235.255 | 1,022 |
| 252 | 7.67.236.0/22 | 7.67.236.1 to 7.67.239.254 | 7.67.239.255 | 1,022 |
| 253 | 7.67.240.0/22 | 7.67.240.1 to 7.67.243.254 | 7.67.243.255 | 1,022 |
| 254 | 7.67.244.0/22 | 7.67.244.1 to 7.67.247.254 | 7.67.247.255 | 1,022 |
| 255 | 7.67.248.0/22 | 7.67.248.1 to 7.67.251.254 | 7.67.251.255 | 1,022 |
| 256 | 7.67.252.0/22 | 7.67.252.1 to 7.67.255.254 | 7.67.255.255 | 1,022 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |